#
# Modelz s + vids
#


echo $GERAET - Modelz s-vids

zahl=0
cd $CHICKS_MQ


for grl in mA mC mJa mL mSh mSt; do
  for das in s vids; do
    echo $grl"/"$das
    cd $CHICKS_MQ/$grl/$das
    ls | grep -v Thumbs.db | while read datei
    do
      zahl=`expr $zahl + 1`
      if [ -e "$CHICKS_MZ/$grl/$das/$datei" ];
      then
        # DATEI SCHON VORHANDEN
        sum1=`cksum "$CHICKS_MQ/$grl/$das/$datei"|awk -F' ' '{print $1}'`
        sum2=`cksum "$CHICKS_MZ/$grl/$das/$datei"|awk -F' ' '{print $1}'`
        if [ "$sum1" = "$sum2" ];
        then
          # Datei identisch
          echo "$CHICKS_MQ/$grl/$das/$datei $CHICKS_MZ/$grl/$das/$datei " >> $CHICKS_MZ/$grl/doppelt.txt
          export jpgg="$datei"
          export dummyz=$zahl"+"
        else
          export dummyz=$zahl"-"
          export jpgg=`echo $datei | sed -e 's/\./_\./g'`
          while [ -e "$CHICKS_MZ/$grl/$das/$jpgg" ];
          do
            export jpgg=`echo $jpgg | sed -e 's/\./_\./g'`
          done	
        echo "$CHICKS_MQ/$grl/$das/$datei $CHICKS_MZ/$grl/$das/$datei " >> $CHICKS_MZ/$grl/$gnr/Name_geaendert.txt
      fi

		else
      # DATEI FRISCH UND NEU
      export dummyz=$zahl
      export jpgg="$datei"
    fi;
		
    echo -n "$dummyz "
    mv -f "$CHICKS_MQ/$grl/$das/$datei" "$CHICKS_MZ/$grl/$das/$jpgg" 2>/dev/null
    
    done
  done
done


for grl in mD mG mH mK mM mMa mNk t19; do
  cd $CHICKS_MQ/$grl
  for gnr in `ls`; do
    for datei in s vids; do
      echo " "$grl" "$gnr" "$datei
      cd $CHICKS_MQ/$grl/$gnr/$datei
      ls | grep -v Thumbs.db | while read jpg
      do
        zahl=`expr $zahl + 1`
        if [ -e "$CHICKS_MZ/$grl/$gnr/$datei/$jpg" ];
        then
          # DATEI SCHON VORHANDEN
          sum1=`cksum "$CHICKS_MQ/$grl/$gnr/$datei/$jpg"|awk -F' ' '{print $1}'`
          sum2=`cksum "$CHICKS_MZ/$grl/$gnr/$datei/$jpg"|awk -F' ' '{print $1}'`
          if [ "$sum1" = "$sum2" ];
          then
            # Datei identisch
            echo "$CHICKS_MQ/$grl/$gnr/$datei/$jpg $CHICKS_MZ/$grl/$gnr/$datei/$jpg " >> $CHICKS_MZ/$grl/doppelt.txt
            export jpgg="$jpg"
            export dummyz=$zahl"+"
          else
            export dummyz=$zahl"-"
            export jpgg=`echo $jpg | sed -e 's/\./_\./g'`
            while [ -e "$CHICKS_MZ/$grl/$gnr/$datei/$jpgg" ];
            do
              export jpgg=`echo $jpgg | sed -e 's/\./_\./g'`
            done	
          echo "$CHICKS_MQ/$grl/$gnr/$datei/$jpg $CHICKS_MZ/$grl/$gnr/$datei/$jpg " >> $CHICKS_MZ/$grl/Name_geaendert.txt
          fi
        else
          # DATEI FRISCH UND NEU
          export dummyz=$zahl
          export jpgg="$jpg"
        fi;
		
		  echo -n "$dummyz "
		  mv -f "$CHICKS_MQ/$grl/$gnr/$datei/$jpg" "$CHICKS_MZ/$grl/$gnr/$datei/$jpgg" 2>/dev/null
		  
      done
    echo ""
    done
  done
done